Bug 1750345 - [abrt] gnome-initial-setup: webkitWebViewBaseMakeGLContextCurrent(): gnome-initial-setup killed by SIGSEGV
Summary: [abrt] gnome-initial-setup: webkitWebViewBaseMakeGLContextCurrent(): gnome-in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkit2gtk3
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:409af72e924b00c18c7645a6191...
: 1749709 (view as bug list)
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-09-09 11:55 UTC by Alessio
Modified: 2019-09-19 01:07 UTC (History)
10 users (show)

Fixed In Version: webkit2gtk3-2.26.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 01:07:50 UTC


Attachments (Terms of Use)
File: backtrace (95.68 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: core_backtrace (48.34 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: cpuinfo (2.13 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: dso_list (46.23 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: environ (1.42 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: exploitable (82 bytes, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: limits (1.29 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: maps (158.11 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: mountinfo (2.50 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: open_fds (4.57 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-09-09 11:55 UTC, Alessio
no flags Details
video bug demonstration (756.32 KB, video/webm)
2019-09-13 13:09 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1751936 None CLOSED Google account shows just empty window 2019-09-20 23:14:02 UTC
WebKit Project 200856 None None None 2019-09-13 22:58:31 UTC

Internal Links: 1751936

Description Alessio 2019-09-09 11:55:00 UTC
Description of problem:
During initial setup, I clicked on google online account that become gray, then the window suddenly close.

Version-Release number of selected component:
gnome-initial-setup-3.33.92-2.fc31

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-initial-setup-first-login.service
cmdline:        /usr/libexec/gnome-initial-setup --existing-user
crash_function: webkitWebViewBaseMakeGLContextCurrent
executable:     /usr/libexec/gnome-initial-setup
journald_cursor: s=9c6104750fa6472098099be7cb122db8;i=15d6;b=794d4a3fbe0845c09418d01128b6a297;m=17845232;t=5921d5126c563;x=4fc1181b28bcfea4
kernel:         5.3.0-0.rc6.git0.1.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 webkitWebViewBaseMakeGLContextCurrent at /usr/include/c++/9/bits/unique_ptr.h:357
 #1 WebKit::WebPageProxy::makeGLContextCurrent at ../Source/WebKit/UIProcess/gtk/WebPageProxyGtk.cpp:161
 #2 WebKit::WaylandCompositor::Surface::setWebPage at ../Source/WebKit/UIProcess/gtk/WaylandCompositor.cpp:176
 #3 WebKit::WaylandCompositor::unregisterWebPage at ../Source/WebKit/UIProcess/gtk/WaylandCompositor.cpp:574
 #4 WebKit::AcceleratedBackingStoreWayland::~AcceleratedBackingStoreWayland at ../Source/WebKit/UIProcess/gtk/AcceleratedBackingStoreWayland.cpp:144
 #6 std::default_delete<WebKit::AcceleratedBackingStore>::operator() at /usr/include/c++/9/bits/unique_ptr.h:75
 #7 std::unique_ptr<WebKit::AcceleratedBackingStore, std::default_delete<WebKit::AcceleratedBackingStore> >::reset at /usr/include/c++/9/bits/unique_ptr.h:399
 #8 std::unique_ptr<WebKit::AcceleratedBackingStore, std::default_delete<WebKit::AcceleratedBackingStore> >::operator=(decltype(nullptr)) at /usr/include/c++/9/bits/unique_ptr.h:333
 #9 webkitWebViewBaseDispose at ../Source/WebKit/UIProcess/API/gtk/WebKitWebViewBase.cpp:553
 #11 gtk_overlay_forall at gtkoverlay.c:628

Comment 1 Alessio 2019-09-09 11:55:03 UTC
Created attachment 1613109 [details]
File: backtrace

Comment 2 Alessio 2019-09-09 11:55:05 UTC
Created attachment 1613110 [details]
File: core_backtrace

Comment 3 Alessio 2019-09-09 11:55:06 UTC
Created attachment 1613111 [details]
File: cpuinfo

Comment 4 Alessio 2019-09-09 11:55:08 UTC
Created attachment 1613112 [details]
File: dso_list

Comment 5 Alessio 2019-09-09 11:55:09 UTC
Created attachment 1613113 [details]
File: environ

Comment 6 Alessio 2019-09-09 11:55:10 UTC
Created attachment 1613114 [details]
File: exploitable

Comment 7 Alessio 2019-09-09 11:55:11 UTC
Created attachment 1613115 [details]
File: limits

Comment 8 Alessio 2019-09-09 11:55:13 UTC
Created attachment 1613116 [details]
File: maps

Comment 9 Alessio 2019-09-09 11:55:14 UTC
Created attachment 1613117 [details]
File: mountinfo

Comment 10 Alessio 2019-09-09 11:55:15 UTC
Created attachment 1613118 [details]
File: open_fds

Comment 11 Alessio 2019-09-09 11:55:16 UTC
Created attachment 1613119 [details]
File: proc_pid_status

Comment 12 Alessio 2019-09-10 15:21:17 UTC
This is strange.
In a VM it works.
On baremetal I encounter this issue.

Each time that on initial setup I try to set up a google account, the window where I should put my credentials become gray.
If I close such window, initial setup crashes.

Note: the same thing happens as well on gnome-control-center. So the problem could not be related to gnome-initial-setup.

Comment 13 Kamil Páral 2019-09-13 13:06:12 UTC
Similar problem has been detected:

Gnome-initial-setup crashes when Google or Microsoft account dialog is opened. The window is completely blank, and once you try to close it, the whole g-i-s crashes and you only have an empty screen (you can still reboot the system from the upper right corner, then g-i-s runs again). This only happens on bare metal or a VM with 3D acceleration (gnome-boxes by default, virt-manager if you enable it), on a VM without 3d acceleration everything works fine.

reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-978.slice/session-c1.scope
cmdline:        /usr/libexec/gnome-initial-setup
crash_function: webkitWebViewBaseMakeGLContextCurrent
executable:     /usr/libexec/gnome-initial-setup
journald_cursor: s=5c6d42f88c404a37a58100e69c21be27;i=56f;b=3ce8ade1b07048e38c089ca8d43b45d5;m=2377175;t=5926ebe9988a8;x=f96107d10e412eb3
kernel:         5.3.0-0.rc6.git0.1.fc31.x86_64
package:        gnome-initial-setup-3.34.0-2.fc31
reason:         gnome-initial-setup killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            978

Comment 14 Kamil Páral 2019-09-13 13:09:30 UTC
Created attachment 1614865 [details]
video bug demonstration

Comment 15 Kamil Páral 2019-09-13 13:15:50 UTC
I can confirm this also happens when adding Online Accounts in Settings.

I propose this as F31 Final blocker, due to following criteria:
"All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use. "
https://fedoraproject.org/wiki/Fedora_31_Final_Release_Criteria#Default_panel_functionality
"A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system."
https://fedoraproject.org/wiki/Basic_Release_Criteria#Expected_installed_system_boot_behavior

You can't add certain accounts (Google, Microsoft, perhaps more) in online accounts on systems with 3D hardware acceleration (bare metal, boxes, virt-manager with 3D acceleration enabled). The gnome-initial-setup crashes if you try to do so and fails to create a user account (of course, you can reboot and avoid the crashing dialog, that works fine).

Comment 16 Alessio 2019-09-13 13:25:07 UTC
(In reply to Kamil Páral from comment #15)
> You can't add certain accounts (Google, Microsoft, perhaps more) in online

So 3D acceleration is the reason why on a KVM machine I didn't spotted the issue, while I can't create online accounts on baremetal as reported on comment 12, right?

Comment 17 Kamil Páral 2019-09-13 13:32:57 UTC
(In reply to Alessio from comment #16)
> So 3D acceleration is the reason why on a KVM machine I didn't spotted the
> issue, while I can't create online accounts on baremetal as reported on
> comment 12, right?

Very likely. If you use virt-manager, configure your VM to use virtio video (3d acceleration enabled) and spice display (OpenGL enabled, Listen Type: None) and you should see the crashes even in your VM. That's how I reported this (and also verified the bare metal crashes yesterday). Or use gnome-boxes with default options and it should behave the same way.

Comment 18 Alessio 2019-09-13 14:48:09 UTC
(In reply to Kamil Páral from comment #17)
> Very likely. If you use virt-manager, configure your VM to use virtio video
> (3d acceleration enabled) and spice display (OpenGL enabled, Listen Type:

I can confirm that. Enabling 3D Acceleration it crashes. Otherwise, with 3D acceleration disable, it works.

Comment 19 Alessio 2019-09-13 14:52:36 UTC
See also bug 1749709
Is that a duplicate of this one? Or vice versa :-)

Comment 20 Kamil Páral 2019-09-13 16:10:06 UTC
*** Bug 1749709 has been marked as a duplicate of this bug. ***

Comment 21 Michael Catanzaro 2019-09-16 12:59:25 UTC
BTW I think you should report a second bug for the view not rendering. This bug will be resolved when the crash is fixed, but that's not going to do anything to make it display stuff.

Comment 22 Kamil Páral 2019-09-16 17:09:34 UTC
(In reply to Michael Catanzaro from comment #21)
> BTW I think you should report a second bug for the view not rendering. This
> bug will be resolved when the crash is fixed, but that's not going to do
> anything to make it display stuff.

Good idea, already reported as bug 1751936.

Comment 23 Michael Catanzaro 2019-09-16 18:18:37 UTC
(In reply to Kamil Páral from comment #22) 
> Good idea, already reported as bug 1751936.

Also: bug #1748817.

Comment 24 Geoffrey Marr 2019-09-16 18:33:25 UTC
Discussed during the 2019-09-16 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criterion:

"All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use"

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-16/f31-blocker-review.2019-09-16-16.02.txt

Comment 25 Tomas Popela 2019-09-17 10:57:30 UTC
There is a fix to this bug already - https://trac.webkit.org/changeset/249947/webkit. The other issue - bug 1751936 is probably caused by mesa - at least according to https://bugs.webkit.org/show_bug.cgi?id=200856#c18

Comment 26 Fedora Update System 2019-09-17 19:19:40 UTC
FEDORA-2019-fef2eda60a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fef2eda60a

Comment 27 Fedora Update System 2019-09-18 02:00:41 UTC
webkit2gtk3-2.26.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fef2eda60a

Comment 28 Alessio 2019-09-18 07:56:12 UTC
The update works here.
Thanks.

Comment 29 František Zatloukal 2019-09-18 10:30:25 UTC
webkit2gtk3-2.26.0-2.fc31 fixes the issue.

Comment 30 Fedora Update System 2019-09-19 01:07:50 UTC
webkit2gtk3-2.26.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.